View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000839Ecere SDKcompilerpublic2013-04-24 13:372013-09-30 09:01
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000839: Make OpenRider use OnSerialize/OnUnserialize
DescriptionMake OpenRider use OnSerialize/OnUnserialize
TagsNo tags attached.
Attached Files

- Relationships
related to 0000840closedjerome Chaining Instance::OnSerialize/OnUnserialize does not work (Tested with Container within Containers) 
related to 0001029closedjerome Crash in Acovel with latest compiler 

-  Notes
(0001076)
jerome (administrator)
2013-09-21 07:32

The first problem is OnUnserialize() with structs.
(0001101)
jerome (administrator)
2013-09-30 09:01

Fixed by:
https://github.com/ecere/ecere-sdk/commit/55b6b1ade09243391970e23473b738dba024bc6f [^]

- Issue History
Date Modified Username Field Change
2013-04-24 13:37 redj New Issue
2013-04-24 19:57 jerome Priority normal => immediate
2013-09-20 21:35 jerome Relationship added related to 0000840
2013-09-21 07:32 jerome Note Added: 0001076
2013-09-21 07:46 jerome Assigned To => jerome
2013-09-21 07:46 jerome Status new => assigned
2013-09-21 07:46 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2013-09-30 09:01 jerome Status assigned => closed
2013-09-30 09:01 jerome Note Added: 0001101
2013-09-30 09:01 jerome Resolution open => fixed
2013-09-30 09:01 jerome Fixed in Version => 0.44.10 64
2013-10-18 21:06 jerome Relationship added related to 0001029



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker